<ng-template #modal let-modal>
  <ng-container
        *ngTemplateOutlet="headerBannerTemplate"
      ></ng-container>
    <div class="modal-header">
      
      <ng-container
        *ngTemplateOutlet="headerTemplate"
      ></ng-container>
    </div>
    <div class="modal-body">
        <ng-container
        *ngTemplateOutlet="bodyTemplate"
      ></ng-container>
    </div>
    <div class="modal-footer">
        <ng-container
        *ngTemplateOutlet="footerTemplate"
    ></ng-container>
    </div>
</ng-template>

 